Skip to main content
POST
/
notifications
/
mark
Mark Notifications as Read
curl --request POST \
  --url https://api.xplenty.com/{account_id}/api/notifications/mark \
  --header 'Accept: <accept>' \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --data '{
  "id": 123
}'

Authorizations

Authorization
string
header
required

Enter your API key as the username. Leave the password field blank. Example: curl -u YOUR_API_KEY: https://api.xplenty.com/...

Headers

Accept
string
default:application/vnd.xplenty+json; version=2
required

API version header — required on all requests

Body

application/json
id
integer

Mark a specific notification as read. Omit to mark all.

Response

200

Notifications marked as read

Last modified on April 20, 2026